import {
  displayList,
  serialNumberTypeList,
  serialNumberPositionList,
  switchOption,
} from '@/views/book/courseware/data/common';

export {  switchOption };


// 录音控件规格
export const sizeList = [
  { value: 'promax', label: '大' },
  { value: 'pro', label: '中' },
  { value: 'normal', label: '小' },
  { value: 'mini', label: '迷你' },
]

export function getRecordInputProperty() {
  return {
    serial_number: 1,
    sn_type: serialNumberTypeList[0].value,
    sn_position: serialNumberPositionList[0].value,
    sn_display_mode: displayList[0].value,
  };
}

export function getRecordInputData() {
  return {
    type: 'record_input',
    title: '录音组件',
    property: getRecordInputProperty(),
    size: 'promax',
    is_enable_score: switchOption[0].value,
    is_enable_input: switchOption[0].value,
    answer: {
      answer_list: {
        answerRecordList: [],
        input:''
      },
    },
  };
}
